# KSPGLTRGetNormD

Get norm of the direction.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPGLTRGetNormD(KSP ksp,PetscReal *norm_d)

Collective on KSP

### Input Parameters

| ksp | - the iterative context
| norm_d | - the norm of the direction

### Keywords

KSP, GLTR, get, norm direction

Level:advanced
Location:src/ksp/ksp/impls/cg/gltr/gltr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages